<?php

namespace Drupal\easy_entity_field\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a Easy entity field item annotation object.
 *
 * @see \Drupal\easy_entity_field\Plugin\EasyEntityFieldManager
 * @see plugin_api
 *
 * @Annotation
 */
class EasyEntityField extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The component label.
   *
   * @var string
   */

  public $label;

  /**
   * The component description.
   *
   * @var string
   */
  public $description;

}
