<?php

namespace Drupal\easy_entity_field\Plugin;

use Drupal\Component\Plugin\PluginBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Base class for Easy entity field plugins.
 */
abstract class EasyEntityFieldBase extends PluginBase implements EasyEntityFieldPluginInterface {


  /**
   * {@inheritdoc}
   */
  public function storageSettingsForm(array &$form, FormStateInterface $form_state, $has_data) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function fieldSettingsForm(array $form, FormStateInterface $form_state) {
    return [];
  }
  
  public function defaultValuesForm(array $form, FormStateInterface $form_state) {
    return [];
  }

}
