<?php

namespace Drupal\easy_entity_field\Plugin;

use Drupal\Component\Plugin\PluginInspectionInterface;
use Drupal\Core\Form\FormStateInterface;


/**
 * Defines an interface for Easy entity field plugins.
 */
interface EasyEntityFieldPluginInterface extends PluginInspectionInterface {


  public function storageSettingsForm(array &$form, FormStateInterface $form_state, $has_data);

  public function fieldSettingsForm(array $form, FormStateInterface $form_state);

  public function defaultValuesForm(array $form, FormStateInterface $form_state);

}
